# DataExchange
TKSTEP
StepToTopoDS

# StepToTopoDS_GeometricTool Class Reference

This class contains some algorithmic services
specific to the mapping STEP to CAS.CADE
.

`#include <StepToTopoDS_GeometricTool.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_Integer | PCurve (const Handle(StepGeom_SurfaceCurve)&SC, const Handle(StepGeom_Surface)&S, Handle(StepGeom_Pcurve)&PC, const Standard_Integer last=0)
static Standard_EXPORT Standard_Boolean | IsSeamCurve (const Handle(StepGeom_SurfaceCurve)&SC, const Handle(StepGeom_Surface)&S, const Handle(StepShape_Edge)&E, const Handle(StepShape_EdgeLoop)&EL)
static Standard_EXPORT Standard_Boolean | IsLikeSeam (const Handle(StepGeom_SurfaceCurve)&SC, const Handle(StepGeom_Surface)&S, const Handle(StepShape_Edge)&E, const Handle(StepShape_EdgeLoop)&EL)
static Standard_EXPORT Standard_Boolean | UpdateParam3d (const Handle(Geom_Curve)&C, Standard_Real &w1, Standard_Real &w2, const Standard_Real preci)

## Member Function Documentation

static Standard_EXPORT Standard_Boolean StepToTopoDS_GeometricTool::IsLikeSeam | ( | const Handle(StepGeom_SurfaceCurve)& | SC,
|  | const Handle(StepGeom_Surface)& | S,
|  | const Handle(StepShape_Edge)& | E,
|  | const Handle(StepShape_EdgeLoop)& | EL
| ) | `[static]`

static Standard_EXPORT Standard_Boolean StepToTopoDS_GeometricTool::IsSeamCurve | ( | const Handle(StepGeom_SurfaceCurve)& | SC,
|  | const Handle(StepGeom_Surface)& | S,
|  | const Handle(StepShape_Edge)& | E,
|  | const Handle(StepShape_EdgeLoop)& | EL
| ) | `[static]`

void StepToTopoDS_GeometricTool::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepToTopoDS_GeometricTool::operator new | ( | size_t | size | ) | `[inline]`

void* StepToTopoDS_GeometricTool::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Standard_Integer StepToTopoDS_GeometricTool::PCurve | ( | const Handle(StepGeom_SurfaceCurve)& | SC,
|  | const Handle(StepGeom_Surface)& | S,
|  | Handle(StepGeom_Pcurve)& | PC,
|  | const Standard_Integer | last = `0`
| ) | `[static]`

static Standard_EXPORT Standard_Boolean StepToTopoDS_GeometricTool::UpdateParam3d | ( | const Handle(Geom_Curve)& | C,
|  | Standard_Real & | w1,
|  | Standard_Real & | w2,
|  | const Standard_Real | preci
| ) | `[static]`

The documentation for this class was generated from the following file:

- StepToTopoDS_GeometricTool.hxx